Package org.opensaml.xmlsec.encryption

# Interface Salt

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `SaltImpl`

public interface Salt extends XMLObject
XMLObject representing XML Encryption 1.1 Salt element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.

## Method Summary

Modifier and Type
Method
Description
`OtherSource`
`getOtherSource()`
Get the OtherSource child element.
`Specified`
`getSpecified()`
Get the Specified child element.
`void`
`setOtherSource(OtherSource source)`
Set the OtherSource child element.
`void`
`setSpecified(Specified specified)`
Set the Specified child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

## Method Details

### getSpecified

@Nullable Specified getSpecified()
Get the Specified child element.

Returns:
  the element

### setSpecified

void setSpecified(@Nullable Specified specified)
Set the Specified child element.

Parameters:
  `specified` - the element

### getOtherSource

@Nullable OtherSource getOtherSource()
Get the OtherSource child element.

Returns:
  the element

### setOtherSource

void setOtherSource(@Nullable OtherSource source)
Set the OtherSource child element.

Parameters:
  `source` - value